## org.apache.commons.math.linear
Class DefaultFieldMatrixChangingVisitor<T extends FieldElement<T>>

    java.lang.Object
      org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor<T>

Type Parameters:
  `T` - the type of the field elements

All Implemented Interfaces:
  FieldMatrixChangingVisitor<T>

    public class DefaultFieldMatrixChangingVisitor<T extends FieldElement<T>>

extends Object
implements FieldMatrixChangingVisitor<T>

Default implementation of the `FieldMatrixChangingVisitor` interface.

This class is a convenience to create custom visitors without defining all methods. This class provides default implementations that do nothing.

Since:
  2.0
Version:
  $Revision: 1073158 $ $Date: 2011-02-21 22:46:52 +0100 (lun. 21 févr. 2011) $

Field Summary
`private T` `zero` Zero element of the field.

Constructor Summary
`DefaultFieldMatrixChangingVisitor(T zero)` Build a new instance.

Method Summary
`T` `end()` End visiting a matrix.
`void` `start(int rows, int columns, int startRow, int endRow, int startColumn, int endColumn)` Start visiting a matrix.
`T` `visit(int row, int column, T value)` Visit one matrix entry.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### zero

    private final T extends FieldElement<T> zero

  Zero element of the field.

Constructor Detail

### DefaultFieldMatrixChangingVisitor

    public DefaultFieldMatrixChangingVisitor(T zero)

  Build a new instance.

  Parameters:
    `zero` - additive identity of the field

Method Detail

### start

    public void start(int rows,
                      int columns,
                      int startRow,
                      int endRow,
                      int startColumn,
                      int endColumn)

  Start visiting a matrix.

  This method is called once before any entry of the matrix is visited.

  Specified by:
    `start` in interface `FieldMatrixChangingVisitor<T extends FieldElement<T>>`
  Parameters:
    `rows` - number of rows of the matrix
    `columns` - number of columns of the matrix
    `startRow` - Initial row index
    `endRow` - Final row index (inclusive)
    `startColumn` - Initial column index
    `endColumn` - Final column index (inclusive)

### visit

    public T visit(int row,
                   int column,
                   T value)
                                    throws MatrixVisitorException

  Visit one matrix entry.

  Specified by:
    `visit` in interface `FieldMatrixChangingVisitor<T extends FieldElement<T>>`
  Parameters:
    `row` - row index of the entry
    `column` - column index of the entry
    `value` - current value of the entry
  Returns:
    the new value to be set for the entry
  Throws:
    `MatrixVisitorException` - if something wrong occurs

### end

    public T end()

  End visiting a matrix.

  This method is called once after all entries of the matrix have been visited.

  Specified by:
    `end` in interface `FieldMatrixChangingVisitor<T extends FieldElement<T>>`
  Returns:
    the value that the `walkInXxxOrder` must return

Copyright (c) 2003-2013 Apache Software Foundation